singleton Material(_)
{
   mapTo = "_";
    diffuseMap[2] = "vehicles/e250/kg_c.dds";
    specularMap[2] = "vehicles/e250/kg_s.dds";
    normalMap[2] = "vehicles/e250/kg_n.dds";
    diffuseMap[1] = "vehicles/e250/kg_d.dds";
    specularMap[1] = "vehicles/e250/kg_s.dds";
    normalMap[1] = "vehicles/e250/kg_n.dds";
    diffuseMap[0] = "vehicles/e250/null.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_lights)
{
    mapTo = "etk800_lights";
    diffuseMap[1] = "vehicles/e250/vehiclelights.dds";
    specularMap[1] = "vehicles/e250/gray.dds";
    normalMap[1] = "vehicles/e250/kg_n.dds";
    diffuseMap[0] = "vehicles/e250/null.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "77";
    pixelSpecular[0] = "1";
    specularPower[1] = "77";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_lights_on)
{
    mapTo = "etk800_lights_on";
    diffuseMap[2] = "vehicles/e250/vehiclelights_on.dds";
    specularMap[2] = "vehicles/e250/gray.dds";
    normalMap[2] = "vehicles/e250/kg_n.dds";
    diffuseMap[1] = "vehicles/e250/vehiclelights.dds";
    specularMap[1] = "vehicles/e250/gray.dds";
    normalMap[1] = "vehicles/e250/kg_n.dds";
    diffuseMap[0] = "vehicles/e250/null.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "77";
    pixelSpecular[0] = "1";
    specularPower[1] = "77";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.25";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_lights_on_intense)
{
    mapTo = "etk800_lights_on_intense";
    diffuseMap[2] = "vehicles/e250/vehiclelights_on.dds";
    specularMap[2] = "vehicles/e250/gray.dds";
    normalMap[2] = "vehicles/e250/kg_n.dds";
    diffuseMap[1] = "vehicles/e250/vehiclelights.dds";
    specularMap[1] = "vehicles/e250/gray.dds";
    normalMap[1] = "vehicles/e250/kg_n.dds";
    diffuseMap[0] = "vehicles/e250/null.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "77";
    pixelSpecular[0] = "1";
    specularPower[1] = "77";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.5";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_lights_dmg)
{
    mapTo = "etk800_lights_dmg";
    diffuseMap[1] = "vehicles/e250/black.dds";
    specularMap[1] = "vehicles/e250/black.dds";
    normalMap[1] = "vehicles/e250/kg_n.dds";
    diffuseMap[0] = "vehicles/e250/null.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "77";
    pixelSpecular[0] = "1";
    specularPower[1] = "77";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_gauges)
{
   mapTo = "etk800_gauges";
   diffuseMap[0] = "vehicles/e250/eung_aniya.dds";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(etk800_glass)
{
    mapTo = "etk800_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/e250/windows0.dds";
    opacityMap[0] = "vehicles/e250/windows0.dds";
    diffuseMap[1] = "vehicles/e250/rs6_glass_da.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_glass_dmg)
{
   mapTo = "etk800_glass_dmg";
   diffuseMap[0] = "vehicles/e250/audi_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_windshield_dmg)
{
    mapTo = "etk800_windshield_dmg";
    diffuseMap[0] = "vehicles/e250/audi_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(e250_uautoalja)
{
   mapTo = "uautoalja";
   diffuseMap[0] = "vehicles/e250/uautoalja.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_wood2)
{
   mapTo = "wood2";
   diffuseMap[0] = "vehicles/e250/wood2.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_5)
{
   mapTo = "5";
   diffuseMap[0] = "vehicles/e250/5.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_w212c_w01)
{
   mapTo = "w212c_w01";
   diffuseMap[0] = "vehicles/e250/w212c_w01.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_sex9)
{
   mapTo = "sex9";
   diffuseMap[0] = "vehicles/e250/sex9.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_eung_aniya)
{
   mapTo = "eung_aniya";
   diffuseMap[0] = "vehicles/e250/eung_aniya.dds";
   specularMap[0] = "vehicles/e250/null.dds";
   normalMap[0] = "vehicles/e250/kg_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
   dynamicCubemap = true;
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_w212c_w01_env)
{
   mapTo = "w212c_w01_env";
    diffuseMap[1] = "vehicles/e250/w212c_w01.tga";
    specularMap[1] = "vehicles/e250/kg_s.dds";
    normalMap[1] = "vehicles/e250/kg_n.dds";
    diffuseMap[0] = "vehicles/e250/null.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(e250_glass0)
{
    mapTo = "glass0";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/e250/glass0.dds";
    opacityMap[0] = "vehicles/e250/glass0.dds";
    diffuseMap[1] = "vehicles/e250/rs6_glass_da.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(e250_redglass)
{
    mapTo = "redglass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/e250/redglass.dds";
    opacityMap[0] = "vehicles/e250/redglass.dds";
    specularMap[0] = "vehicles/e250/kg_s.dds";
    diffuseColor[1] = "1 1 1 1";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(e250_black)
{
   mapTo = "black";
   diffuseMap[0] = "vehicles/e250/black.dds";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_MBET_tex)
{
   mapTo = "MBET_tex";
   diffuseMap[0] = "vehicles/e250/MBET_tex.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_gray)
{
   mapTo = "gray";
   diffuseMap[0] = "vehicles/e250/gray.dds";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_redy_red)
{
   mapTo = "redy_red";
   diffuseMap[0] = "vehicles/e250/redy_red.dds";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_redy_red2)
{
   mapTo = "redy_red2";
   diffuseMap[0] = "vehicles/e250/redy_red2.dds";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_eung_aniya_light)
{
   mapTo = "eung_aniya_light";
   diffuseMap[0] = "vehicles/e250/eung_aniya.dds";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250__54c6538)
{
   mapTo = "_54c6538";
   diffuseMap[0] = "vehicles/e250/154c6538.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(e250_windows0)
{
    mapTo = "windows0";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/e250/windows0.dds";
    opacityMap[0] = "vehicles/e250/windows0.dds";
    diffuseMap[1] = "vehicles/e250/rs6_glass_da.dds";
    specularMap[0] = "vehicles/e250/null.dds";
    normalMap[0] = "vehicles/e250/kg_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_gauges_on)
{
    mapTo = "etk800_gauges_on";
    diffuseMap[1] = "vehicles/etk800/etk800_gauges_g.dds";
    specularMap[1] = "vehicles/etk800/etk800_gauges_s.dds";
    normalMap[1] = "vehicles/etk800/etk800_gauges_n.dds";
    diffuseMap[0] = "vehicles/etk800/etk800_gauges_d.dds";
    specularMap[0] = "vehicles/etk800/etk800_gauges_s.dds";
    normalMap[0] = "vehicles/etk800/etk800_gauges_n.dds";
    diffuseColor[0] = "0 0 0 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
};

singleton Material(etk800_reverselight)
{
    mapTo = "etk800_reverselight";
};

singleton Material(etk800_signal_R)
{
    mapTo = "etk800_signal_R";
};

singleton Material(etk800_signal_L)
{
    mapTo = "etk800_signal_L";
};

singleton Material(etk800_headlight)
{
    mapTo = "etk800_headlight";
};

singleton Material(etk800_chmsl)
{
    mapTo = "etk800_chmsl";
};

singleton Material(etk800_foglight)
{
    mapTo = "etk800_foglight";
};

singleton Material(etk800_taillight)
{
    mapTo = "etk800_taillight";
};

singleton Material(etk800_taillight_L)
{
    mapTo = "etk800_taillight_L";
};

singleton Material(etk800_taillight_R)
{
    mapTo = "etk800_taillight_R";
};

singleton Material(etk800_highbeam)
{
    mapTo = "etk800_highbeam";
};
